/* brush-params.c
 * This file is part of Vara digital painting program
 * Copyright 2021, 2023, 2024 Nandakumar Edamana
 * Distributed under GNU General Public License, version 3
 */ 

#include <assert.h>
#include <stdarg.h>
#include <stdbool.h>

#include "brush-params.h"


BrushParams brush_params_default()
{
	BrushParams s;
	s.siz = 0;
	s.type = BRUSHTYPE_CIRCLE1;
	s.pressure_size = false;
	s.opacity = 0.0;
	s.softness = 0.0;
	s.aaradius_circle1 = 0.0;
	s.scatter_type = SCATTERTYPE_NONE;
	s.scatter_radius = 0.0;
	s.scatter_density = 0.0;
	s.scatter_take_pressure = false;
	return s;
}
