/* brushes.h
 * This file is part of Vara digital painting program
 * Copyright 2021, 2023, 2024 Nandakumar Edamana
 * Distributed under GNU General Public License, version 3
 */ 

#ifndef N96_DRAW_brushes_h
#define N96_DRAW_brushes_h

#include <string.h>
#include <stdlib.h>
#include <stdio.h>
#include "brush-params.h"
#include "brush-params.h"
struct BrushParams prebrush_default();
struct BrushParams prebrush_ballpoint();
struct BrushParams prebrush_charcoal();
struct BrushParams prebrush_crayon();
struct BrushParams prebrush_pencil();
struct BrushParams prebrush_round();
struct BrushParams prebrush_round_pressure_size();
struct BrushParams prebrush_soft_round();

#endif /* N96_DRAW_brushes_h */
