/* defaults.c
 * This file is part of Vara digital painting program
 * Copyright 2021, 2023, 2024 Nandakumar Edamana
 * Distributed under GNU General Public License, version 3
 */ 

#include <assert.h>
#include <stdarg.h>
#include <stdbool.h>

#include "defaults.h"


struct DrawingParams default_drawparams()
{
	struct DrawingParams drawparams = drawing_params_default();

	drawparams.fgcolor = LINEAR_PIXEL_BLACK;

	drawparams.brushparams = prebrush_ballpoint();

	return drawparams;
}
