/* helpmenuitem.h
 * This file is part of Vara digital painting program
 * Copyright 2021, 2023, 2024 Nandakumar Edamana
 * Distributed under GNU General Public License, version 3
 */ 

#ifndef N96_DRAW_helpmenuitem_h
#define N96_DRAW_helpmenuitem_h

#include <string.h>
#include <stdlib.h>
#include <stdio.h>
#include "commongui.h"
#include "commongui.h"
typedef struct HelpMenuItem {
	struct _ngg_vtab_t_ngg_custwid _ngg_vtab_ngg_custwid;
	GtkMenuItem *mni;
	const char * title;
	const char * message;
} HelpMenuItem;

void help_menu_item_construct(HelpMenuItem *this, const char * title, const char * message);
GtkMenuItem * help_menu_item_get_native_widget(HelpMenuItem *this);
void help_menu_item_show(HelpMenuItem *this);
void help_menu_item_on_mni_help_item_activate(GtkMenuItem *widget, void *user_data);
void help_menu_item_destruct(HelpMenuItem *this);

#endif /* N96_DRAW_helpmenuitem_h */
